
Redmine - Patch #20292

Ignore Secrets.yml file

2015-07-12 00:26 - Benjamin Petersen

Status: Closed Start date:  

Priority: Normal Due date:  

Assignee:  % Done: 0%

Category: Security Estimated time: 0.00 hour

Target version: 3.1.0   

Description

Secrets, by definition, should be kept hidden from others. To ensure `secrets.yml` are not accidentally shared or committed to

version control this patch helps by ignoring the `config/secrets.yml` file in both version control systems.

Related issues:

Related to Redmine - Defect #19185: Update Install/Upgrade guide for 3.x vers... Closed

Associated revisions

Revision 14437 - 2015-07-12 12:08 - Toshi MARUYAMA

add config/secrets.yml to svn:ignore (#20292)

Contributed by Benjamin Petersen.

Revision 14438 - 2015-07-12 12:15 - Toshi MARUYAMA

Merged r14437 from trunk to 3.1-stable (#20292)

add config/secrets.yml to svn:ignore.

Contributed by Benjamin Petersen.

Revision 14439 - 2015-07-12 12:28 - Toshi MARUYAMA

Merged r14437 from trunk to 3.0-stable (#20292)

add config/secrets.yml to svn:ignore.

Contributed by Benjamin Petersen.

Revision 14440 - 2015-07-12 12:42 - Toshi MARUYAMA

add config/secrets.yml to .gitignore and .hgignore (#20292)

Contributed by Benjamin Petersen.

Revision 14441 - 2015-07-12 12:45 - Toshi MARUYAMA

Merged r14440 from trunk to 3.1-stable (#20292)

add config/secrets.yml to .gitignore and .hgignore.

Contributed by Benjamin Petersen.

Revision 14442 - 2015-07-12 12:47 - Toshi MARUYAMA

Merged r14440 from trunk to 3.0-stable (#20292)

add config/secrets.yml to .gitignore and .hgignore.

Contributed by Benjamin Petersen.

History

#1 - 2015-07-12 04:34 - Toshi MARUYAMA

- Tracker changed from Defect to Patch

- Status changed from New to Needs feedback
Please explain why secrets.yml is needed.

Our installation does not need secrets.yml (#19185).

#2 - 2015-07-12 04:39 - Toshi MARUYAMA

- Status changed from Needs feedback to New

- Target version set to 101

I got it.

source:tags/3.0.4/doc/INSTALL#L56

#3 - 2015-07-12 04:41 - Toshi MARUYAMA

- Related to Defect #19185: Update Install/Upgrade guide for 3.x version and get gid of DEPRECATION WARNING: You didn't set

config.secret_key_base added

#4 - 2015-07-12 16:38 - Toshi MARUYAMA

- Status changed from New to Closed

Committed in trunk, 3.1-stable and 3.0-stable, thanks.

#5 - 2015-08-02 09:52 - Jean-Philippe Lang

- Target version changed from 101 to 3.1.0

Files

secrets-git.diff 952 Bytes 2015-07-11 Benjamin Petersen
